#! /bin/bash

set -e

VERSION="0.9.6.git"

source ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

# Clone Upstream
cd ./xpadneo-debian
#git clone https://github.com/atar-axis/xpadneo -b v"$VERSION"
git clone https://github.com/atar-axis/xpadneo

# Get build deps
apt-get build-dep ./ -y

# Build package
LOGNAME=root dh_make --createorig -y -l -p xpadneo_"$VERSION" || echo "dh-make: Ignoring Last Error"
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
